Package com.io7m.idstore.server.service.telemetry.api

# Record Class IdEventAdminLoggedIn

java.lang.Object
java.lang.Record
com.io7m.idstore.server.service.telemetry.api.IdEventAdminLoggedIn

Record Components:
  `adminId` - The administrator

All Implemented Interfaces:
  `IdEventAdminType`, `IdEventType`

public record IdEventAdminLoggedIn(UUID adminId) extends Record implements IdEventAdminType
An administrator logged in.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `IdEventAdminLoggedIn(UUID adminId)`
  An administrator logged in.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `UUID`
  `adminId()`
  Returns the value of the `adminId` record component.
  `Map<String,String>`
  `asAttributes()`
  `final boolean`
  `equals(Object o)`
  Indicates whether some other object is "equal to" this one.
  `final int`
  `hashCode()`
  Returns a hash code value for this object.
  `String`
  `message()`
  `String`
  `name()`
  `IdEventSeverity`
  `severity()`
  `final String`
  `toString()`
  Returns a string representation of this record class.

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface com.io7m.idstore.server.service.telemetry.api.IdEventType

  `domain`

- ## Constructor Details

  - ### IdEventAdminLoggedIn

    public IdEventAdminLoggedIn(UUID adminId)
    An administrator logged in.
    Parameters:
      `adminId` - The administrator

- ## Method Details

  - ### severity

    public IdEventSeverity severity()
    Specified by:
      `severity` in interface `IdEventType`
    Returns:
      The event severity

  - ### name

    public String name()
    Specified by:
      `name` in interface `IdEventType`
    Returns:
      The event name

  - ### message

    public String message()
    Specified by:
      `message` in interface `IdEventType`
    Returns:
      The formatted event message

  - ### asAttributes

    public Map<String,String> asAttributes()
    Specified by:
      `asAttributes` in interface `IdEventType`
    Returns:
      The complete event attributes

  - ### toString

    public final String toString()
    Returns a string representation of this record class. The representation contains the name of the class, followed by the name and value of each of the record components.
    Specified by:
      `toString` in class `Record`
    Returns:
      a string representation of this object

  - ### hashCode

    public final int hashCode()
    Returns a hash code value for this object. The value is derived from the hash code of each of the record components.
    Specified by:
      `hashCode` in class `Record`
    Returns:
      a hash code value for this object

  - ### equals

    public final boolean equals(Object o)
    Indicates whether some other object is "equal to" this one. The objects are equal if the other object is of the same class and if all the record components are equal. All components in this record class are compared with `Objects::equals(Object,Object)`.
    Specified by:
      `equals` in class `Record`
    Parameters:
      `o` - the object with which to compare
    Returns:
      `true` if this object is the same as the `o` argument; `false` otherwise.

  - ### adminId

    public UUID adminId()
    Returns the value of the `adminId` record component.
    Specified by:
      `adminId` in interface `IdEventAdminType`
    Returns:
      the value of the `adminId` record component